package kr.co.hanwha.hifive.adapter.model;

import kr.co.hanwha.hifive.data.model.TaskListData;
import kr.co.hanwha.hifive.enums.ViewHolderUnitType;

/**
 * Created by sanghoonkwon on 2018. 2. 20..
 */

public class UnitListViewHolderData {
    ViewHolderUnitType type;
    Object data;
    Object data2;
    Object data3;
    String title;
    int intValue1;
    int intValue2;

    public UnitListViewHolderData(ViewHolderUnitType type, Object data) {
        this.type = type;
        this.data = data;
    }

    public UnitListViewHolderData(ViewHolderUnitType type, Object data, int intValue1) {
        this.type = type;
        this.data = data;
        this.intValue1 = intValue1;
    }

    public UnitListViewHolderData(ViewHolderUnitType type, String title, int intValue1) {
        this.type = type;
        this.title = title;
        this.intValue1 = intValue1;
    }

    public UnitListViewHolderData(ViewHolderUnitType type, Object data, int intValue1, int intValue2) {
        this.type = type;
        this.data = data;
        this.intValue1 = intValue1;
        this.intValue2 = intValue2;
    }

    public UnitListViewHolderData(ViewHolderUnitType type, Object data, Object data2, Object data3) {
        this.type = type;
        this.data = data;
        this.data2 = data2;
        this.data3 = data3;
    }



    public ViewHolderUnitType getType() {
        return type;
    }

    public Object getData() {
        return data;
    }

    public Object getData2() {
        return data2;
    }

    public Object getData3() {
        return data3;
    }

    public String getTitle() {
        return title;
    }

    public int getIntValue1() {
        return intValue1;
    }

    public int getIntValue2() {
        return intValue2;
    }
}
